Subject: bug#66288: 29.1; Performance regression using pipe for subprocess

From: Dmitry Gutov <[email-masked]>
Date: Wed, 4 Oct 2023 13:09:01 +0300

On 04/10/2023 09:52, Eli Zaretskii wrote:
> A perhaps better change is the one below, which realizes that the
> fcntl call was added to create_process for fixing bug#55737 so as to
> allow_enlarging_  the pipe size when very large reads are required; it
> was never meant to_reduce_  the default size of the pipe:

Right.

It does most of what's in my patch, and for the rest, okay, let's wait 
for the further review.